Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/120
Addresses256
/64 networksPart of one
Network
64:ff9b::86:1900/120
First address
64:ff9b::86:1900
Last address
64:ff9b::86:19ff
Addresses
256
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
0064:ff9b:0000:0000:0000:0000:0086:1900
Type
NAT64 64:ff9b::/96
IPv4 addresses reached through a NAT64 gateway
Reverse DNS zone
9.1.6.8.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.b.9.f.f.4.6.0.0.ip6.arpa
Split into smaller subnets/127

64:ff9b::86:1900/120 makes 128 subnets of /127.

Subnets
#SubnetLast address
164:ff9b::86:1900/12764:ff9b::86:1901
264:ff9b::86:1902/12764:ff9b::86:1903
364:ff9b::86:1904/12764:ff9b::86:1905
464:ff9b::86:1906/12764:ff9b::86:1907
564:ff9b::86:1908/12764:ff9b::86:1909
664:ff9b::86:190a/12764:ff9b::86:190b
764:ff9b::86:190c/12764:ff9b::86:190d
864:ff9b::86:190e/12764:ff9b::86:190f
964:ff9b::86:1910/12764:ff9b::86:1911
1064:ff9b::86:1912/12764:ff9b::86:1913
1164:ff9b::86:1914/12764:ff9b::86:1915
1264:ff9b::86:1916/12764:ff9b::86:1917
1364:ff9b::86:1918/12764:ff9b::86:1919
1464:ff9b::86:191a/12764:ff9b::86:191b
1564:ff9b::86:191c/12764:ff9b::86:191d
1664:ff9b::86:191e/12764:ff9b::86:191f
1764:ff9b::86:1920/12764:ff9b::86:1921
1864:ff9b::86:1922/12764:ff9b::86:1923
1964:ff9b::86:1924/12764:ff9b::86:1925
2064:ff9b::86:1926/12764:ff9b::86:1927
2164:ff9b::86:1928/12764:ff9b::86:1929
2264:ff9b::86:192a/12764:ff9b::86:192b
2364:ff9b::86:192c/12764:ff9b::86:192d
2464:ff9b::86:192e/12764:ff9b::86:192f
2564:ff9b::86:1930/12764:ff9b::86:1931
2664:ff9b::86:1932/12764:ff9b::86:1933
2764:ff9b::86:1934/12764:ff9b::86:1935
2864:ff9b::86:1936/12764:ff9b::86:1937
2964:ff9b::86:1938/12764:ff9b::86:1939
3064:ff9b::86:193a/12764:ff9b::86:193b
3164:ff9b::86:193c/12764:ff9b::86:193d
3264:ff9b::86:193e/12764:ff9b::86:193f
3364:ff9b::86:1940/12764:ff9b::86:1941
3464:ff9b::86:1942/12764:ff9b::86:1943
3564:ff9b::86:1944/12764:ff9b::86:1945
3664:ff9b::86:1946/12764:ff9b::86:1947
3764:ff9b::86:1948/12764:ff9b::86:1949
3864:ff9b::86:194a/12764:ff9b::86:194b
3964:ff9b::86:194c/12764:ff9b::86:194d
4064:ff9b::86:194e/12764:ff9b::86:194f
4164:ff9b::86:1950/12764:ff9b::86:1951
4264:ff9b::86:1952/12764:ff9b::86:1953
4364:ff9b::86:1954/12764:ff9b::86:1955
4464:ff9b::86:1956/12764:ff9b::86:1957
4564:ff9b::86:1958/12764:ff9b::86:1959
4664:ff9b::86:195a/12764:ff9b::86:195b
4764:ff9b::86:195c/12764:ff9b::86:195d
4864:ff9b::86:195e/12764:ff9b::86:195f
4964:ff9b::86:1960/12764:ff9b::86:1961
5064:ff9b::86:1962/12764:ff9b::86:1963
5164:ff9b::86:1964/12764:ff9b::86:1965
5264:ff9b::86:1966/12764:ff9b::86:1967
5364:ff9b::86:1968/12764:ff9b::86:1969
5464:ff9b::86:196a/12764:ff9b::86:196b
5564:ff9b::86:196c/12764:ff9b::86:196d
5664:ff9b::86:196e/12764:ff9b::86:196f
5764:ff9b::86:1970/12764:ff9b::86:1971
5864:ff9b::86:1972/12764:ff9b::86:1973
5964:ff9b::86:1974/12764:ff9b::86:1975
6064:ff9b::86:1976/12764:ff9b::86:1977
6164:ff9b::86:1978/12764:ff9b::86:1979
6264:ff9b::86:197a/12764:ff9b::86:197b
6364:ff9b::86:197c/12764:ff9b::86:197d
6464:ff9b::86:197e/12764:ff9b::86:197f
6564:ff9b::86:1980/12764:ff9b::86:1981
6664:ff9b::86:1982/12764:ff9b::86:1983
6764:ff9b::86:1984/12764:ff9b::86:1985
6864:ff9b::86:1986/12764:ff9b::86:1987
6964:ff9b::86:1988/12764:ff9b::86:1989
7064:ff9b::86:198a/12764:ff9b::86:198b
7164:ff9b::86:198c/12764:ff9b::86:198d
7264:ff9b::86:198e/12764:ff9b::86:198f
7364:ff9b::86:1990/12764:ff9b::86:1991
7464:ff9b::86:1992/12764:ff9b::86:1993
7564:ff9b::86:1994/12764:ff9b::86:1995
7664:ff9b::86:1996/12764:ff9b::86:1997
7764:ff9b::86:1998/12764:ff9b::86:1999
7864:ff9b::86:199a/12764:ff9b::86:199b
7964:ff9b::86:199c/12764:ff9b::86:199d
8064:ff9b::86:199e/12764:ff9b::86:199f
8164:ff9b::86:19a0/12764:ff9b::86:19a1
8264:ff9b::86:19a2/12764:ff9b::86:19a3
8364:ff9b::86:19a4/12764:ff9b::86:19a5
8464:ff9b::86:19a6/12764:ff9b::86:19a7
8564:ff9b::86:19a8/12764:ff9b::86:19a9
8664:ff9b::86:19aa/12764:ff9b::86:19ab
8764:ff9b::86:19ac/12764:ff9b::86:19ad
8864:ff9b::86:19ae/12764:ff9b::86:19af
8964:ff9b::86:19b0/12764:ff9b::86:19b1
9064:ff9b::86:19b2/12764:ff9b::86:19b3
9164:ff9b::86:19b4/12764:ff9b::86:19b5
9264:ff9b::86:19b6/12764:ff9b::86:19b7
9364:ff9b::86:19b8/12764:ff9b::86:19b9
9464:ff9b::86:19ba/12764:ff9b::86:19bb
9564:ff9b::86:19bc/12764:ff9b::86:19bd
9664:ff9b::86:19be/12764:ff9b::86:19bf
9764:ff9b::86:19c0/12764:ff9b::86:19c1
9864:ff9b::86:19c2/12764:ff9b::86:19c3
9964:ff9b::86:19c4/12764:ff9b::86:19c5
10064:ff9b::86:19c6/12764:ff9b::86:19c7
10164:ff9b::86:19c8/12764:ff9b::86:19c9
10264:ff9b::86:19ca/12764:ff9b::86:19cb
10364:ff9b::86:19cc/12764:ff9b::86:19cd
10464:ff9b::86:19ce/12764:ff9b::86:19cf
10564:ff9b::86:19d0/12764:ff9b::86:19d1
10664:ff9b::86:19d2/12764:ff9b::86:19d3
10764:ff9b::86:19d4/12764:ff9b::86:19d5
10864:ff9b::86:19d6/12764:ff9b::86:19d7
10964:ff9b::86:19d8/12764:ff9b::86:19d9
11064:ff9b::86:19da/12764:ff9b::86:19db
11164:ff9b::86:19dc/12764:ff9b::86:19dd
11264:ff9b::86:19de/12764:ff9b::86:19df
11364:ff9b::86:19e0/12764:ff9b::86:19e1
11464:ff9b::86:19e2/12764:ff9b::86:19e3
11564:ff9b::86:19e4/12764:ff9b::86:19e5
11664:ff9b::86:19e6/12764:ff9b::86:19e7
11764:ff9b::86:19e8/12764:ff9b::86:19e9
11864:ff9b::86:19ea/12764:ff9b::86:19eb
11964:ff9b::86:19ec/12764:ff9b::86:19ed
12064:ff9b::86:19ee/12764:ff9b::86:19ef
12164:ff9b::86:19f0/12764:ff9b::86:19f1
12264:ff9b::86:19f2/12764:ff9b::86:19f3
12364:ff9b::86:19f4/12764:ff9b::86:19f5
12464:ff9b::86:19f6/12764:ff9b::86:19f7
12564:ff9b::86:19f8/12764:ff9b::86:19f9
12664:ff9b::86:19fa/12764:ff9b::86:19fb
12764:ff9b::86:19fc/12764:ff9b::86:19fd
12864:ff9b::86:19fe/12764:ff9b::86:19ff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses